Skip to main content
GET
/
v1
/
proposals
/
drafts
/
{id}
Error
A valid request URL is required to generate request examples
{
  "id": 0,
  "userAddress": "<string>",
  "marketType": "binary",
  "category": "<string>",
  "question": "<string>",
  "resolutionDate": "<string>",
  "isTestResolution": true,
  "resolutionRules": "<string>",
  "resolutionSources": [
    "<string>"
  ],
  "marketOptions": [
    "<string>"
  ],
  "imageUrl": "<string>",
  "optionImageUrls": [
    "<string>"
  ],
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aura-4ecab767.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from POST /v1/auth/keys.

Path Parameters

id
integer
required
Required range: x <= 9007199254740991

Response

Default Response

id
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
userAddress
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
marketType
enum<string> | null
required
Available options:
binary,
categorical,
category
string | null
required
question
string | null
required
resolutionDate
string | null
required
isTestResolution
boolean
required
resolutionRules
string | null
required
resolutionSources
string[]
required
marketOptions
string[]
required

Per-leg questions for categorical / linked markets.

imageUrl
string | null
required
optionImageUrls
string[]
required
createdAt
string
required
updatedAt
string
required